import { type Expr } from "../../expr";
import type { FunctionType, Type } from "../../types/definitions";
import { type StructValue } from "../../value";
import { type CodeGenContext } from "../utils";
export declare function collectRequiredTypes(moduleValue: StructValue, context: CodeGenContext): void;
export declare function collectTypesFromFunctionType(functionType: FunctionType, context: CodeGenContext): void;
export declare function collectTypesFromExpr(expr: Expr, context: CodeGenContext): void;
export declare function collectType(type: Type, context: CodeGenContext): void;
